Subject: Re: [P2PSIP] Concepts Draft

From: Gonzalo Camarillo <[email-masked]>
Date: Mon, 13 Apr 2015 11:13:26 +0300

Hi David,

what is the status of this effort?

Cheers,

Gonzalo

On 05/02/2015 4:21 PM, Gonzalo Camarillo wrote:
> Hi,
> 
>> David is my hero.
> 
> s/my/our/ :-)
> 
>>     I can iterate next week or week after, and yes, agree it is very
>>     close to ready for WGLC.
> 
> If you could revise the draft in that time frame, that would be really
> great. Also, if you could discuss on the list what remains to be
> resolved in order to get the draft to be ready for WGLC, that would give
> us a way forward.
> 
> Thanks!
> 
> Gonzalo
> 
> 
>>
>>     On Feb 3, 2015 8:35 AM, "Gonzalo Camarillo"
>>     <[email-masked]
>>     <mailto:[email-masked]>> wrote:
>>
>>         Hi David,
>>
>>         thanks for the quick response! Given the status, I think you can
>>         just
>>         revise the draft and get the chairs to WGLC it. Do you have an
>>         ETA for
>>         such a revision?
>>
>>         Thanks,
>>
>>         Gonzalo
>>
>>         On 03/02/2015 3:43 PM, David Bryan wrote:
>>         > I am indeed. It needs one small pass to conform to 6940
>>         language but
>>         > should otherwise be good to go. I have in my notes that I was
>>         waiting
>>         > for any further comments, but the list has been very quiet.
>>         >
>>         > On Feb 3, 2015 2:37 AM, "Gonzalo Camarillo"
>>         > <[email-masked]
>>         <mailto:[email-masked]>
>>         <mailto:[email-masked]
>>         <mailto:[email-masked]>>>
>>         > wrote:
>>         >
>>         >     Hi,
>>         >
>>         >     what is the status of this draft? Are its authors actively
>>         working
>>         >     on it?
>>         >
>>         >     Thanks,
>>         >
>>         >     Gonzalo
>>         >
>>         >     On 17/06/2014 8:33 PM, Rosen, Brian wrote:
>>         >     >
>>         >     > On Jun 13, 2014, at 4:40 PM, David Bryan
>>         <[email-masked] <mailto:[email-masked]>
>>         >     <mailto:[email-masked] <mailto:[email-masked]>>>
>>         wrote:
>>         >     >
>>         >     >> I was recently asked to update the concepts draft and
>>         discuss the
>>         >     important issues. The pass that has been made is largely
>>         around
>>         >     normalizing the text to be compliant with the terminology
>>         of RFC
>>         >     6940, but it certainly will need an additional pass after
>>         a few
>>         >     questions to the group:
>>         >     >>
>>         >     >> To move this draft forward, there are a few open
>>         issues/questions:
>>         >     >>
>>         >     >>    MAJOR OPEN ISSUE: The initial wording in the high-level
>>         >     description
>>         >     >>    about proving AoR to contact mapping reflects a very
>>         long and
>>         >     >>    contentious debate about the role of the protocol,
>>         and reflected a
>>         >     >>    pretense that this was an overlay only for P2PSIP. 
>>         That is not
>>         >     >>    really true in base anymore (see last paragraph of
>>         >     introduction) and
>>         >     >>    the language has been very much genericized in
>>         base.  Should
>>         >     we make
>>         >     >>    this text more abstract and then use AoR->contact
>>         mapping as an
>>         >     >>    example of the (original) use?  On a related note,
>>         see the last
>>         >     >>    paragraph of the Background section -- do we want to
>>         reword this?
>>         >     >>
>>         >     >> (my thought would be to make the text more generic, and
>>         mention
>>         >     that the AoR->contact mapping is the most popular usage…)
>>         >     > Agree
>>         >     >
>>         >     >>
>>         >     >>    OPEN ISSUE: Should we include a section that
>>         documents previous
>>         >     >>    decisions made, to preserve the historical debate
>>         and prevent past
>>         >     >>    issues from being raised in the future, or simply
>>         rely on the
>>         >     mailing
>>         >     >>    list to address these concerns?
>>         >     >>
>>         >     >> (I don't think we want to do this. Huge (and largely
>>         unneeded)
>>         >     can of worms, but it has been in the open issues section
>>         for some
>>         >     time and should be at least asked of the list)
>>         >     > No, we don’t need to do this
>>         >     >
>>         >     >>
>>         >     >>    OPEN ISSUE: Should we include the use cases from
>>         >     >>    draft-bryan-p2psip-app-scenarios-00 (now long
>>         expired)?  There was
>>         >     >>    some interest in doing so in previous versions, but no
>>         >     conclusion was
>>         >     >>    reached.
>>         >     >>
>>         >     >> (given the current stage of the group, I would say
>>         these aren't
>>         >     likely to be useful anymore, but again, as it is currently
>>         listed as
>>         >     an open issue in the draft, need to check)
>>         >     > Nah, I don’t think it is necessary, or even that useful
>>         at this point
>>         >     >
>>         >     >>
>>         >     >> The final open issue is do we want to advance the draft? In
>>         >     discussion with the chairs and some folks, it seems the
>>         answer is
>>         >     yes, there is useful material and we should push the draft
>>         out, but
>>         >     I wanted to discuss. Assuming there is still interest, I'd
>>         also
>>         >     welcome any comments on the draft...I'm sure I missed a
>>         few spots
>>         >     where it no longer aligns with 6940.
>>         >     > I would like to see this finished.
>>         >     >
>>         >     >>
>>         >     >> David
>>         >     >> _______________________________________________
>>         >     >> P2PSIP mailing list
>>         >     >> [email-masked] <mailto:[email-masked]>
>>         <mailto:[email-masked] <mailto:[email-masked]>>
>>         >     >> https://www.ietf.org/mailman/listinfo/p2psip
>>         >     >
>>         >     > _______________________________________________
>>         >     > P2PSIP mailing list
>>         >     > [email-masked] <mailto:[email-masked]>
>>         <mailto:[email-masked] <mailto:[email-masked]>>
>>         >     > https://www.ietf.org/mailman/listinfo/p2psip
>>         >     >
>>         >
>>
>>
>>     _______________________________________________
>>     P2PSIP mailing list
>>     [email-masked] <mailto:[email-masked]>
>>     https://www.ietf.org/mailman/listinfo/p2psip
>>
> 
> _______________________________________________
> P2PSIP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/p2psip
>